> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synthpop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add an event to the task's event log.



## OpenAPI

````yaml /api-reference/openapi.json post /task/{task_uuid}/log_event
openapi: 3.1.0
info:
  title: Synthpop API
  description: >-
    The Synthpop public API. Create and manage Tasks, upload documents, and
    retrieve structured results.
  version: 1.0.0pre
servers:
  - url: https://app.synthpop.ai/public/v1
    description: Production
  - url: https://stage.synthpop.ai/public/v1
    description: Staging
security: []
tags:
  - name: Authentication
    description: |-

      API endpoints to obtain credentials.
              
  - name: Tasks
    description: >

      API endpoints to create, update and fetch Tasks and Task metadata.


      All the endpoints in this section other than "Get File Download Link"
      return a `TaskDetail`

      object. It contains the following:

      * Summary information for the task, such as IDs, a user friendly name, the
      Task's current
        status and time stamps.
      * Data Items associated with the Task:
        * Data Items are either Text, JSON or a link to a file.
        * A Data Item has a `group` tag. Tasks will have an `inputs` group (for Data Items uploaded)
          or an `outputs` group (for Data Items generated). There might be other tags for
          intermediate output for specific types of Tasks.
        * When analyzing the content of a data item, the result of the analysis is represented as
          `record_groups` within the Data Item. Record groups have:
          * A Record Type, identifying the type of data detected (e.g: insurance card, patient
            form, ...)
          * An optional timestamp that is derived from the content, signifying when the record
            group was created (eg.: date of service for a clinical visit).
  - name: Task List
    description: Retrieve a filtered and ordered list of Tasks.
paths:
  /task/{task_uuid}/log_event:
    post:
      tags:
        - Tasks
      summary: Add an event to the task's event log.
      operationId: log_task_event_task__task_uuid__log_event_post
      parameters:
        - name: task_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Task Uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaskEventLogRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskEventLogResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Bearer: []
components:
  schemas:
    TaskEventLogRequest:
      properties:
        event:
          type: string
          title: Event
        extra_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra Data
      type: object
      required:
        - event
      title: TaskEventLogRequest
    TaskEventLogResponse:
      properties:
        task_id:
          type: string
          format: uuid
          title: Task Id
        status_message:
          type: string
          title: Status Message
      type: object
      required:
        - task_id
        - status_message
      title: TaskEventLogResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````